$(document).ready(function () {
  // Fixed navbar
  $(window).scroll(function () {
    var sticky = $(".navbar-main"),
      scroll = $(window).scrollTop();

    if (scroll >= 100) sticky.addClass("navbar-fixed");
    else sticky.removeClass("navbar-fixed");
  });

  // ===== Scroll to Top ====
  $(window).scroll(function () {
    if ($(this).scrollTop() >= 50) {
      // If page is scrolled more than 50px
      $("#return-top").fadeIn(200); // Fade in the arrow
    } else {
      $("#return-top").fadeOut(200); // Else fade out the arrow
    }
  });

  // Return to top
  $("#return-top").click(function () {
    // When arrow is clicked
    $("body,html").animate(
      {
        scrollTop: 0, // Scroll to top of body
      },
      500
    );
  });

  // Menu Js
  // $(".hamburger").click(function () {
  //   var $this = $(this);

  //   if ($this.hasClass("is-active")) {
  //     $(".menu-wrapper").removeClass("is-active");
  //     $(".menu-wrapper").addClass("close-menu");
  //   } else {
  //     $(".menu-wrapper").removeClass("close-menu");
  //     $(".menu-wrapper").addClass("is-active");
  //   }
  //   $this.toggleClass("is-active");
  // });

  // $(".menu-wrapper .main-nav .nav-item, .menu-wrapper .close-menu").click(
  //   function (e) {
  //     $(".hamburger").trigger("click");
  //   }
  // );

  $(".menu-toggle").click(function () {
    var $this = $(this);

    if ($this.hasClass("is-active")) {
      $(".menu-wrapper").removeClass("is-active");
      $(".menu-wrapper").addClass("close-menu");
    } else {
      $(".menu-wrapper").removeClass("close-menu");
      $(".menu-wrapper").addClass("is-active");
    }
    $this.toggleClass("is-active");
  });

  $(".menu-wrapper .main-nav-item").hover(
    function () {
      $(this).addClass("open");
      $(this).removeClass("is-closing");
    },
    function () {
      $(this).removeClass("open");
      $(this).addClass("is-closing");
    }
  );

  // images parallax
  $(".parallax-eff, .board-parallax, .kinder-parallax").parallax();

  $(".carousel-nav").owlCarousel({
    loop: false,
    dots: false,
    nav: true,
    navText: "",
    lazyLoad: true,
    autoplay: false,
    autoplayTimeout: 3000,
    items: 1,
  });

  $(".carousel-info").owlCarousel({
    loop: false,
    dots: false,
    nav: true,
    navText: "",
    lazyLoad: true,
    autoplay: false,
    autoplayTimeout: 3000,
    items: 1,
  });

  $("#carousel-services").owlCarousel({
    loop: true,
    nav: true,
    dots: true,
    navText: "",
    lazyLoad: true,
    autoplay: false,
    autoplayTimeout: 3000,
    responsive: {
      0: {
        items: 1,
      },
      568: {
        items: 2,
        margin: 15,
      },
      992: {
        items: 3,
        margin: 25,
      },
    },
  });

  $(".carousel-social").owlCarousel({
    loop: true,
    nav: true,
    dots: false,
    navText: "",
    lazyLoad: true,
    autoplay: false,
    autoplayTimeout: 3000,
    responsive: {
      0: {
        items: 1,
      },
      568: {
        items: 2,
        margin: 15,
      },
      992: {
        items: 3,
        margin: 25,
      },
    },
  });

  $("#carousel-gallery").owlCarousel({
    loop: true,
    nav: false,
    autoplay: true,
    autoplayTimeout: 3000,
    dots: false,
    margin: 5,
    // move navContainer outside the primary owl wrapper
    navContainer: "#galleryNav",
    navText: "",
    responsive: {
      0: {
        items: 1,
      },
      576: {
        items: 2,
        margin: 15,
      },
      768: {
        items: 3,
        margin: 15,
      },
      992: {
        items: 4,
        margin: 15,
      },
    },
  });

  $("#carousel-ins-nav").owlCarousel({
    loop: false,
    nav: true,
    dots: false,
    navText: "",
    lazyLoad: true,
    autoplay: false,
    autoWidth: true,
    autoplayTimeout: 3000,
    items: 5,
  });

  $("#carousel-testi").owlCarousel({
    loop: true,
    nav: false,
    dots: true,
    navText: "",
    lazyLoad: true,
    autoplay: false,
    autoplayTimeout: 3000,
    responsive: {
      0: {
        items: 1,
      },
      768: {
        items: 2,
        margin: 20,
      },
      768: {
        items: 2,
        margin: 30,
      },
    },
  });

  $(".side-nav-cover .side-item .side-link").on("click", function () {
    $(".side-nav-cover .side-item.is-active")
      .not(this)
      .removeClass("is-active");
    $(this).toggleClass("is-active");
    $(this)
      .closest(".side-nav-cover .side-item")
      .find(".side-body")
      .toggleClass("is-open");
  });

  //--------------------- end of document ready
});

$("#carousel-student-co").owlCarousel({
  loop: true,
  nav: true,
  dots: false,
  navText: "",
  lazyLoad: true,
  autoplay: true,
  autoplayTimeout: 3000,
  items: 1,
});

// scroll
(function ($) {
  $(".pricipal-scroll, .side-carousel-scroll").mCustomScrollbar({
    scrollButtons: { enable: true },
    theme: "light-thick",
    scrollbarPosition: "outside",
    mouseWheelPixels: 150, //change this to a value, that fits your needs
  });
})(jQuery);

if ($(window).width() < 767) {
  $(".main-nav-scroll").mCustomScrollbar({
    scrollButtons: { enable: true },
    theme: "light-thick",
    scrollbarPosition: "outside",
  });
}

//jQuery for page scrolling feature - requires jQuery Easing plugin
$(function () {
  $("a.page-scroll").bind("click", function (event) {
    var $anchor = $(this);
    $("html, body")
      .stop()
      .animate(
        {
          scrollTop: $($anchor.attr("href")).offset().top,
        },
        1500,
        "easeInOutExpo"
      );
    event.preventDefault();
  });
});

// Meet team
$(".meet-team-item .meet-team-footer .meet-team-top a").on(
  "click",
  function () {
    $(".meet-team-item .meet-team-footer .meet-team-btm.is-active")
      .not(this)
      .removeClass("is-active");
    $(this).toggleClass("is-active");
    $(this)
      .closest(".meet-team-item .meet-team-footer")
      .find(".meet-team-btm")
      .fadeToggle();
    $(this).closest(".meet-team-item").toggleClass("is-active");
  }
);

$("#carousel-banner").carousel({
  pause: "false",
});

// Tooltip
$('[data-toggle="tooltip"]').tooltip();
$('[data-toggle="popover"]').popover();

// Loader
$(window).on("load", function () {
  $(".loader-overlay").delay(2000).fadeOut("slow");
});
